TokenControllerPromoteToGlobal Method |
PUT /Token/PromoteToGlobal/
Promotes an existing project or account token to a global token.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("PromoteToGlobal")]
public IActionResult PromoteToGlobal(
Guid id,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("PromoteToGlobal")>
Public Function PromoteToGlobal (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"PromoteToGlobal")]
IActionResult^ PromoteToGlobal(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("PromoteToGlobal")>]
member PromoteToGlobal :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the token to promote. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A status code indicating success or failure.
See Also